diff --git a/base/server/src/engine/pkihelper.py b/base/server/src/engine/pkihelper.py
index e7735d8d37260d564d148842672bc31e6b42c638..df36583079cea16a0d199de3e0007bc7a1a12e12 100644
--- a/base/server/src/engine/pkihelper.py
+++ b/base/server/src/engine/pkihelper.py
@@ -2887,89 +2931,89 @@ class security_domain:
                 log.PKIHELPER_SECURITY_DOMAIN_GET_TOKEN_FAILURE_2,
                 str(sechost),
                 str(secadminport),
-                extra=config.PKI_INDENTATION_LEVEL_2)
+                extra = config.PKI_INDENTATION_LEVEL_2)
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             if critical_failure == True:
                 raise
         return None
 
 # PKI Deployment 'systemd' Execution Management Class
 class systemd:
-    def start(self, critical_failure=True):
+    def start(self, critical_failure = True):
         try:
             # Compose this "systemd" execution management command
             if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
-                command = "systemctl" + " " +\
-                          "start" + " " +\
-                          "pki-apached" + "@" +\
+                command = "systemctl" + " " + \
+                          "start" + " " + \
+                          "pki-apached" + "@" + \
                           master['pki_instance_name'] + "." + "service"
             elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
-                command = "systemctl" + " " +\
-                          "start" + " " +\
-                          "pki-tomcatd" + "@" +\
+                command = "systemctl" + " " + \
+                          "start" + " " + \
+                          "pki-tomcatd" + "@" + \
                           master['pki_instance_name'] + "." + "service"
             # Display this "systemd" execution managment command
             config.pki_log.info(
                 log.PKIHELPER_SYSTEMD_COMMAND_1, command,
-                extra=config.PKI_INDENTATION_LEVEL_2)
+                extra = config.PKI_INDENTATION_LEVEL_2)
             # Execute this "systemd" execution management command
-            subprocess.call(command, shell=True)
+            subprocess.call(command, shell = True)
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             if critical_failure == True:
                 raise
         return
 
-    def stop(self, critical_failure=True):
+    def stop(self, critical_failure = True):
         try:
             # Compose this "systemd" execution management command
             if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
-                command = "systemctl" + " " +\
-                          "stop" + " " +\
-                          "pki-apached" + "@" +\
+                command = "systemctl" + " " + \
+                          "stop" + " " + \
+                          "pki-apached" + "@" + \
                           master['pki_instance_name'] + "." + "service"
             elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
-                command = "systemctl" + " " +\
-                          "stop" + " " +\
-                          "pki-tomcatd" + "@" +\
+                command = "systemctl" + " " + \
+                          "stop" + " " + \
+                          "pki-tomcatd" + "@" + \
                           master['pki_instance_name'] + "." + "service"
             # Display this "systemd" execution managment command
             config.pki_log.info(
                 log.PKIHELPER_SYSTEMD_COMMAND_1, command,
-                extra=config.PKI_INDENTATION_LEVEL_2)
+                extra = config.PKI_INDENTATION_LEVEL_2)
             # Execute this "systemd" execution management command
-            subprocess.call(command, shell=True)
+            subprocess.call(command, shell = True)
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             if critical_failure == True:
                 raise
         return
 
-    def restart(self, critical_failure=True):
+    def restart(self, critical_failure = True):
         try:
             # Compose this "systemd" execution management command
             if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
-                command = "systemctl" + " " +\
-                          "restart" + " " +\
-                          "pki-apached" + "@" +\
+                command = "systemctl" + " " + \
+                          "restart" + " " + \
+                          "pki-apached" + "@" + \
                           master['pki_instance_name'] + "." + "service"
             elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
-                command = "systemctl" + " " +\
-                          "restart" + " " +\
-                          "pki-tomcatd" + "@" +\
+                command = "systemctl" + " " + \
+                          "restart" + " " + \
+                          "pki-tomcatd" + "@" + \
                           master['pki_instance_name'] + "." + "service"
             # Display this "systemd" execution managment command
             config.pki_log.info(
                 log.PKIHELPER_SYSTEMD_COMMAND_1, command,
-                extra=config.PKI_INDENTATION_LEVEL_2)
+                extra = config.PKI_INDENTATION_LEVEL_2)
             # Execute this "systemd" execution management command
-            subprocess.call(command, shell=True)
+            subprocess.call(command, shell = True)
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             if critical_failure == True:
                 raise
         return
@@ -2979,21 +3023,21 @@ class config_client:
 
     def configure_pki_data(self, data):
         config.pki_log.info(log.PKI_CONFIG_CONFIGURING_PKI_DATA,
-                             extra=config.PKI_INDENTATION_LEVEL_2)
+                             extra = config.PKI_INDENTATION_LEVEL_2)
 
         self.connection = pki.client.PKIConnection(
-            protocol='https',
-            hostname=master['pki_hostname'],
-            port=master['pki_https_port'],
-            subsystem=master['pki_subsystem_type'])
+            protocol = 'https',
+            hostname = master['pki_hostname'],
+            port = master['pki_https_port'],
+            subsystem = master['pki_subsystem_type'])
 
         try:
             client = pki.system.SystemConfigClient(self.connection)
             response = client.configure(data)
 
-            config.pki_log.debug(log.PKI_CONFIG_RESPONSE_STATUS +\
+            config.pki_log.debug(log.PKI_CONFIG_RESPONSE_STATUS + \
                                    " " + str(response['status']),
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             certs = response['systemCerts']
             if not isinstance(certs, types.ListType):
                 certs = [certs]
@@ -3003,36 +3047,36 @@ class config_client:
                    not config.str2bool(master['pki_external_step_two']):
                     # External CA Step 1
                     if cdata['tag'].lower() == "signing":
-                        config.pki_log.info(log.PKI_CONFIG_CDATA_REQUEST +\
+                        config.pki_log.info(log.PKI_CONFIG_CDATA_REQUEST + \
                             " " + cdata['request'],
-                            extra=config.PKI_INDENTATION_LEVEL_2)
+                            extra = config.PKI_INDENTATION_LEVEL_2)
 
                         # Save 'External CA Signing Certificate' CSR (Step 1)
-                        config.pki_log.info(log.PKI_CONFIG_EXTERNAL_CSR_SAVE +\
+                        config.pki_log.info(log.PKI_CONFIG_EXTERNAL_CSR_SAVE + \
                             " '" + master['pki_external_csr_path'] + "'",
-                            extra=config.PKI_INDENTATION_LEVEL_2)
+                            extra = config.PKI_INDENTATION_LEVEL_2)
                         directory.create(
                             os.path.dirname(master['pki_external_csr_path']))
                         with open(master['pki_external_csr_path'], "w") as f:
                             f.write(cdata['request'])
                         return
                 else:
-                    config.pki_log.debug(log.PKI_CONFIG_CDATA_TAG +\
+                    config.pki_log.debug(log.PKI_CONFIG_CDATA_TAG + \
                                            " " + cdata['tag'],
-                                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    config.pki_log.debug(log.PKI_CONFIG_CDATA_CERT +\
+                                         extra = config.PKI_INDENTATION_LEVEL_2)
+                    config.pki_log.debug(log.PKI_CONFIG_CDATA_CERT + \
                                            " " + cdata['cert'],
-                                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    config.pki_log.debug(log.PKI_CONFIG_CDATA_REQUEST +\
+                                         extra = config.PKI_INDENTATION_LEVEL_2)
+                    config.pki_log.debug(log.PKI_CONFIG_CDATA_REQUEST + \
                                            " " + cdata['request'],
-                                         extra=config.PKI_INDENTATION_LEVEL_2)
+                                         extra = config.PKI_INDENTATION_LEVEL_2)
 
             # Cloned PKI subsystems do not return an Admin Certificate
             if not config.str2bool(master['pki_clone']) and \
                not config.str2bool(master['pki_import_admin_cert']):
                 admin_cert = response['adminCert']['cert']
                 self.process_admin_cert(admin_cert)
-                
+
         except Exception, e:
             if hasattr(e, 'response'):
                 root = ET.fromstring(e.response.text)
@@ -3040,32 +3084,32 @@ class config_client:
                     message = root.findall('.//Message')[0].text
                     if message is not None:
                         config.pki_log.error(log.PKI_CONFIG_JAVA_CONFIGURATION_EXCEPTION + " " + message,
-                                         extra=config.PKI_INDENTATION_LEVEL_2)
+                                         extra = config.PKI_INDENTATION_LEVEL_2)
                         raise
             config.pki_log.error(
                 log.PKI_CONFIG_JAVA_CONFIGURATION_EXCEPTION + " " + str(e),
-                extra=config.PKI_INDENTATION_LEVEL_2)
+                extra = config.PKI_INDENTATION_LEVEL_2)
             raise
         return
 
     def process_admin_cert(self, admin_cert):
-        config.pki_log.debug(log.PKI_CONFIG_RESPONSE_ADMIN_CERT +\
+        config.pki_log.debug(log.PKI_CONFIG_RESPONSE_ADMIN_CERT + \
                              " " + admin_cert,
-                             extra=config.PKI_INDENTATION_LEVEL_2)
+                             extra = config.PKI_INDENTATION_LEVEL_2)
 
         # Store the Administration Certificate in a file
         admin_cert_file = master['pki_client_admin_cert']
         admin_cert_bin_file = admin_cert_file + ".der"
-        config.pki_log.debug(log.PKI_CONFIG_ADMIN_CERT_SAVE +\
+        config.pki_log.debug(log.PKI_CONFIG_ADMIN_CERT_SAVE + \
                                " '" + admin_cert_file + "'",
-                             extra=config.PKI_INDENTATION_LEVEL_2)
+                             extra = config.PKI_INDENTATION_LEVEL_2)
         with open(admin_cert_file, "w") as f:
             f.write(admin_cert)
 
         # convert the cert file to binary
         command = ["AtoB", admin_cert_file, admin_cert_bin_file]
         config.pki_log.info(command,
-            extra=config.PKI_INDENTATION_LEVEL_2)
+            extra = config.PKI_INDENTATION_LEVEL_2)
         subprocess.call(command)
 
         os.chmod(admin_cert_file,
@@ -3093,7 +3137,7 @@ class config_client:
         # client NSS security database into a PKCS #12 file
         pk12util.create_file(
             master['pki_client_admin_cert_p12'],
-            re.sub("&#39;","'", master['pki_admin_nickname']),
+            re.sub("&#39;", "'", master['pki_admin_nickname']),
             master['pki_client_pkcs12_password_conf'],
             master['pki_client_password_conf'],
             master['pki_client_database_dir'])
@@ -3104,7 +3148,7 @@ class config_client:
 
     def construct_pki_configuration_data(self):
         config.pki_log.info(log.PKI_CONFIG_CONSTRUCTING_PKI_DATA,
-                             extra=config.PKI_INDENTATION_LEVEL_2)
+                             extra = config.PKI_INDENTATION_LEVEL_2)
 
         data = pki.system.ConfigurationRequest()
 
@@ -3161,12 +3205,12 @@ class config_client:
         if master['pki_subsystem'] == "CA":
             if not config.str2bool(master['pki_clone']):
                 cert1 = self.create_system_cert("ca_signing")
-                cert1.signingAlgorithm =\
+                cert1.signingAlgorithm = \
                     master['pki_ca_signing_signing_algorithm']
                 if config.str2bool(master['pki_external_step_two']):
                     # Load the 'External CA Signing Certificate' (Step 2)
                     print(
-                        log.PKI_CONFIG_EXTERNAL_CA_LOAD + " " +\
+                        log.PKI_CONFIG_EXTERNAL_CA_LOAD + " " + \
                         "'" + master['pki_external_ca_cert_path'] + "'")
                     with open(master['pki_external_ca_cert_path']) as f:
                         external_cert = f.read()
@@ -3174,8 +3218,8 @@ class config_client:
 
                     # Load the 'External CA Signing Certificate Chain' (Step 2)
                     print(
-                        log.PKI_CONFIG_EXTERNAL_CA_CHAIN_LOAD + " " +\
-                        "'" + master['pki_external_ca_cert_chain_path'] +\
+                        log.PKI_CONFIG_EXTERNAL_CA_CHAIN_LOAD + " " + \
+                        "'" + master['pki_external_ca_cert_chain_path'] + \
                         "'")
                     with open(master['pki_external_ca_cert_chain_path']) as f:
                         external_cert_chain = f.read()
@@ -3189,7 +3233,7 @@ class config_client:
                master['pki_subsystem'] == "OCSP":
                 # External CA, Subordinate CA, PKI CA, or PKI OCSP
                 cert2 = self.create_system_cert("ocsp_signing")
-                cert2.signingAlgorithm =\
+                cert2.signingAlgorithm = \
                     master['pki_ocsp_signing_signing_algorithm']
                 systemCerts.append(cert2)
 
@@ -3202,7 +3246,7 @@ class config_client:
         if len(system_list) >= 2:
             data.generateServerCert = "false"
             for subsystem in system_list:
-                dst = master['pki_instance_path'] + '/conf/' +\
+                dst = master['pki_instance_path'] + '/conf/' + \
                     subsystem.lower() + '/CS.cfg'
                 if subsystem != master['pki_subsystem'] and \
                    os.path.exists(dst):
@@ -3221,7 +3265,7 @@ class config_client:
         if not config.str2bool(master['pki_clone']):
             if master['pki_subsystem'] != "RA":
                 cert5 = self.create_system_cert("audit_signing")
-                cert5.signingAlgorithm =\
+                cert5.signingAlgorithm = \
                     master['pki_audit_signing_signing_algorithm']
                 systemCerts.append(cert5)
 
@@ -3242,13 +3286,13 @@ class config_client:
         data.p12File = master['pki_clone_pkcs12_path']
         data.p12Password = master['pki_clone_pkcs12_password']
         data.replicateSchema = master['pki_clone_replicate_schema']
-        data.replicationSecurity =\
+        data.replicationSecurity = \
             master['pki_clone_replication_security']
         if master['pki_clone_replication_master_port']:
-            data.masterReplicationPort =\
+            data.masterReplicationPort = \
                 master['pki_clone_replication_master_port']
         if master['pki_clone_replication_clone_port']:
-            data.cloneReplicationPort =\
+            data.cloneReplicationPort = \
                 master['pki_clone_replication_clone_port']
 
     def set_hierarchy_parameters(self, data):
@@ -3311,7 +3355,7 @@ class config_client:
             data.importAdminCert = "true"
             # read config from file
             with open(master['pki_admin_cert_file']) as f:
-                b64 = f.read().replace('\n','')
+                b64 = f.read().replace('\n', '')
             data.adminCert = b64
         else:
             data.importAdminCert = "false"
@@ -3340,16 +3384,16 @@ class config_client:
                 # convert output to ascii
                 command = ["BtoA", output_file, output_file + ".asc"]
                 config.pki_log.info(command,
-                                     extra=config.PKI_INDENTATION_LEVEL_2)
+                                     extra = config.PKI_INDENTATION_LEVEL_2)
                 subprocess.call(command)
 
                 with open(output_file + ".asc") as f:
-                    b64 = f.read().replace('\n','')
+                    b64 = f.read().replace('\n', '')
 
                 data.adminCertRequest = b64
             else:
                 print "log.PKI_CONFIG_PKCS10_SUPPORT_ONLY"
-                sys.exit(1)
+                raise Exception(log.PKI_CONFIG_PKCS10_SUPPORT_ONLY)
 
     def set_issuing_ca_parameters(self, data):
         if master['pki_subsystem'] != "CA" or\
@@ -3395,7 +3439,7 @@ class config_client:
 identity = identity()
 namespace = namespace()
 configuration_file = configuration_file()
-#xml_file = xml_file()
+# xml_file = xml_file()
 instance = instance()
 directory = directory()
 file = file()
diff --git a/base/server/src/engine/pkimanifest.py b/base/server/src/engine/pkimanifest.py
index 04a638f0673d4a09dcae0a26d28b5a8ba3d91105..578fce61e3fc1412da7945cdf1b485056102d83a 100644
--- a/base/server/src/engine/pkimanifest.py
+++ b/base/server/src/engine/pkimanifest.py
@@ -81,7 +81,7 @@ class file:
         except IOError as exc:
             config.pki_log.error(log.PKI_IOERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_1)
-            sys.exit(1)
+            raise Exception(log.PKI_IOERROR_1)
 
     def read(self):
         try:
@@ -93,7 +93,7 @@ class file:
         except IOError as exc:
             config.pki_log.error(log.PKI_IOERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_1)
-            sys.exit(1)
+            raise Exception(log.PKI_IOERROR_1)
 
 
 # PKI Deployment Global Named Tuples
diff --git a/base/server/src/engine/pkiparser.py b/base/server/src/engine/pkiparser.py
index dfb2652794d5535363f2c72bd7f9744a8451688b..c2f0dca5fa7fec0609e7a99e48f040220d3a026e 100644
--- a/base/server/src/engine/pkiparser.py
+++ b/base/server/src/engine/pkiparser.py
@@ -478,7 +478,7 @@ class PKIConfigParser:
                     config.pki_log.error(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
                         config.pki_master_dict['pki_target_cs_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
+                    raise Exception(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1)
             else:
                 # Generate a one-time pin to be used prior to configuration
                 # and add this to the "sensitive" key value pairs read in from
@@ -1048,11 +1048,11 @@ class PKIConfigParser:
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            sys.exit(1)
+            raise Exception(log.PKI_OSERROR_1 % exc)
         except KeyError as err:
             config.pki_log.error(log.PKIHELPER_DICTIONARY_MASTER_MISSING_KEY_1,
                                  err, extra=config.PKI_INDENTATION_LEVEL_2)
-            sys.exit(1)
+            raise Exception(log.PKIHELPER_DICTIONARY_MASTER_MISSING_KEY_1 % err)
         return
 
 
diff --git a/base/server/src/pkispawn b/base/server/src/pkispawn
index 845d764daad6a9c95e1b87df5832a0203e0f5be7..7a9b490a472e3bf7c9e5e1968175c07ee08e391f 100755
--- a/base/server/src/pkispawn
+++ b/base/server/src/pkispawn
@@ -373,6 +373,7 @@ def main(argv):
             rv = instance.spawn()
         except:
             log_error_details()
+            print
             print "Installation failed."
             print
             sys.exit(1)
diff --git a/base/server/src/scriptlets/configuration.py b/base/server/src/scriptlets/configuration.py
index 783f649079a9f6ece8e9dee7358a0c7cc391a774..43f8c16cd1a67e2feb8386050ff6fcfa01d52621 100644
--- a/base/server/src/scriptlets/configuration.py
+++ b/base/server/src/scriptlets/configuration.py
@@ -99,7 +99,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         if status == None:
             config.pki_log.error("server failed to restart",
                     extra=config.PKI_INDENTATION_LEVEL_2)
-            sys.exit(1)
+            raise Exception("server failed to restart")
 
         # Optionally wait for debugger to attach (e. g. - 'eclipse'):
         if config.str2bool(master['pki_enable_java_debugger']):
-- 
1.7.10.2

